language: cpp
sudo: required
group: edge

services: 
    - docker

os:
- linux
- osx
notifications:
  email:
    recipients:
    - bhalla@ncbs.res.in
    - dilawar.s.rajput@gmail.com
    - hrani@ncbs.res.in
    on_success: change
    on_failure: always

before_script:
- echo "OSX related"
- if [[ "$TRAVIS_OS_NAME" == "osx" ]]; then nvm get head || true; fi
- if [[ "$TRAVIS_OS_NAME" == "osx" ]]; then ./.travis/travis_prepare_osx.sh; fi
- if [[ "$TRAVIS_OS_NAME" == "linux" ]]; then sudo ./.travis/travis_prepare_linux.sh;
  fi
script:
- 
- python2 -m compileall -q .
- if type python3 > /dev/null; then python3 -m compileall -q . ; fi
- if [[ "$TRAVIS_OS_NAME" == "osx" ]]; then ./.travis/travis_build_osx.sh; fi
- if [[ "$TRAVIS_OS_NAME" == "linux" ]]; then ./.travis/travis_build_linux.sh; fi
- set +e

deploy:
  on: tags
  provider: script
  script: ./.travis/deploy_pypi.sh
